Skip to content
Get started

Creates store product log entries for a specific store.

POST/api/v2/public/stores/{store_number}/products/stock/storeproductlogs

Creates store product log entries for a specific store.

Path ParametersExpand Collapse
store_number: string
Query ParametersExpand Collapse
appUserName: optional string

The name of the app user performing the action.

is_counted_quantity: optional boolean

Whether the quantities represent counted values.

is_from_receipt: optional boolean

Whether the log entries originate from a receipt.

Body ParametersJSONExpand Collapse
storeproductlog: optional array of object { app_user_name, counted_quantity, customer_order_line_number, 25 more }

The list of store product log entries.

app_user_name: optional string
counted_quantity: optional number
formatdouble
customer_order_line_number: optional number
formatint32
customer_order_number: optional string
expected_quantity: optional number
formatdouble
location_code: optional string
loss_comment: optional string
loss_image: optional string
loss_order_number: optional string
modification_datetime: optional string
formatdate-time
order_after_date: optional string
formatdate-time
pool_location: optional number
formatint32
product_number: optional string

The product number.

quantity: optional number
formatdouble
reason_code: optional number
formatint32
reference: optional string
scanned_datetime: optional string
formatdate-time
source: optional string
stock_pool_1: optional number
formatdouble
stock_pool_10: optional number
formatdouble
stock_pool_2: optional number
formatdouble
stock_pool_3: optional number
formatdouble
stock_pool_4: optional number
formatdouble
stock_pool_5: optional number
formatdouble
stock_pool_6: optional number
formatdouble
stock_pool_7: optional number
formatdouble
stock_pool_8: optional number
formatdouble
stock_pool_9: optional number
formatdouble
ReturnsExpand Collapse
data: optional array of number

Array of items returned by the operation.

message: optional string

Human-readable message describing the result.

success: optional boolean

Indicates whether the operation completed successfully.

Creates store product log entries for a specific store.

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/products/stock/storeproductlogs \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "data": [
    0
  ],
  "message": "2 records updated successfully.",
  "success": true
}
Returns Examples
{
  "data": [
    0
  ],
  "message": "2 records updated successfully.",
  "success": true
}